| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableService Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableService:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableService:
[legend]

## Public Member Functions
def | __deepcopy__ (self, memo)
def | copyChild (self, child)
def | getHandle (self)
def | getGaudiType (self)
def | getGaudiHandle (self)
def | toStringProperty (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, args, kwargs)
def | __init__
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, kwargs)
def | splitName (self)
def | addTool
def | __repr__ (self)
def | __str__

## Static Private Attributes
dictionary | __slots__

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables = {}
dictionary | configurableServices = {}

## Detailed Description

Definition at line 1004 of file Configurable.py.

## Member Function Documentation

def GaudiKernel.Configurable.ConfigurableService.__deepcopy__ | ( |  | self,
|  |  | memo
| ) |  |

Definition at line 1008 of file Configurable.py.

1008 def __deepcopy__( self, memo ):
1009 return self # services are always shared
1010
GaudiKernel.Configurable.ConfigurableService.__deepcopy__
def __deepcopy__(self, memo)
Definition: Configurable.py:1008

def GaudiKernel.Configurable.ConfigurableService.copyChild | ( |  | self,
|  |  | child
| ) |  |

Definition at line 1011 of file Configurable.py.

1011 def copyChild( self, child ):
1012 return child # full sharing
1013
GaudiKernel.Configurable.ConfigurableService.copyChild
def copyChild(self, child)
Definition: Configurable.py:1011

def GaudiKernel.Configurable.ConfigurableService.getGaudiHandle | ( |  | self | ) |

Definition at line 1020 of file Configurable.py.

1020 def getGaudiHandle( self ):
1021 return ServiceHandle( self.toStringProperty() )
1022
GaudiKernel.GaudiHandles.ServiceHandle
Definition: GaudiHandles.py:89
GaudiKernel.Configurable.ConfigurableService.toStringProperty
def toStringProperty(self)
Definition: Configurable.py:1023
GaudiKernel.Configurable.ConfigurableService.getGaudiHandle
def getGaudiHandle(self)
Definition: Configurable.py:1020

def GaudiKernel.Configurable.ConfigurableService.getGaudiType | ( |  | self | ) |

Definition at line 1017 of file Configurable.py.

1017 def getGaudiType( self ):
1018 return 'Service'
1019
GaudiKernel.Configurable.ConfigurableService.getGaudiType
def getGaudiType(self)
Definition: Configurable.py:1017

def GaudiKernel.Configurable.ConfigurableService.getHandle | ( |  | self | ) |

Definition at line 1014 of file Configurable.py.

1014 def getHandle( self ):
1015 return iService( self._name )
1016
GaudiKernel.Configurable.ConfigurableService.getHandle
def getHandle(self)
Definition: Configurable.py:1014
GaudiKernel.Configurable.Configurable._name
_name
Definition: Configurable.py:290

def GaudiKernel.Configurable.ConfigurableService.toStringProperty | ( |  | self | ) |

Definition at line 1023 of file Configurable.py.

1023 def toStringProperty( self ):
1024 # called on conversion to a string property for the jocat
1025 return self.getName()
1026
1027
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:687
GaudiKernel.Configurable.ConfigurableService.toStringProperty
def toStringProperty(self)
Definition: Configurable.py:1023

## Member Data Documentation

dictionary GaudiKernel.Configurable.ConfigurableService.__slots__
| static private

Initial value:
1 = { 'OutputLevel' : 0, \
2 'AuditServices' : 0, 'AuditInitialize' : 0, 'AuditFinalize' : 0 }

Definition at line 1005 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py